---
title: Create Individual Document Upload URL
slug: poc-onboarding/create-individual-document-upload-url
createdAt: 2025-06-26T07:05:12.414Z
---

{
  "id": "5vKH3Q9qepBGvmucQDoTJ",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL"
      }
    ],
    "name": "Create Individual Document Upload URL",
    "description": "<p>Generates a unique document upload URL for an individual, enabling the upload of identification documents.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"applicantId\":\"1750131517757x579057478853162160\",\"consent\":true}",
          "description": "",
          "customType": "Create_Individual_Document_Upload_URL",
          "schema": [
            {
              "name": "applicantId",
              "kind": "required",
              "type": "string",
              "example": ""
            },
            {
              "name": "consent",
              "kind": "required",
              "type": "boolean",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/Create_Individual_Document_Upload_URL",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"status\":\"success\",\"url\":\"https://dev-onboarding.monoova.com/?id=x975fbPnVLKHRFSQyQ28D\",\"urlExpiry\":\"2024-05-03T00:52:22.9300251+00:00\"}",
            "description": "",
            "customType": "Create_Individual_Document_Upload_URL_-_Response",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "url",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "urlExpiry",
                "kind": "optional",
                "type": "string",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/Create_Individual_Document_Upload_URL_-_Response",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"applicantId\": \"\",\n     \"consent\": \"\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"applicantId\": \"\",\n   \"consent\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"applicantId\": \"\",\n   \"consent\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/CreateIndDocumentUploadURL\"\n\npayload = json.dumps({\n   \"applicantId\": \"\",\n   \"consent\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"status\": \"\",\n  \"url\": \"\",\n  \"urlExpiry\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "zH6_xC7RadwnB6OG1PZSP",
      "type": "paragraph",
      "children": [
        {
          "text": "Generates a unique document upload URL for an individual, enabling the upload of identification documents."
        }
      ]
    }
  ]
}